@import "~sass-material-colors";

.cmp-ui-alert-modal {
  z-index: 9999999;

  $MAX_WIDTH: 500px;

  .modal-content {
    width: $MAX_WIDTH;
  }

  .ui-alert-modal {
    border-radius: 3px;
    overflow: hidden;
    width: 100%;
    max-width: $MAX_WIDTH;
    background-color: #ffffff;

    .layout-title + .is-warning {
      color: material-color("amber", "900");
    }

    .layout-title + .is-danger {
      color: material-color("red", "500");
    }

    .layout-title + .is-success {
      color: material-color("red", "700");
    }

    .layout {
      .layout-title {
        text-align: center;
        padding: 15px 10px;
        font-weight: bold;
      }

      .layout-message {
        padding: 10px;
        text-align: center;
      }

      .layout-footer {
        text-align: center;
        padding: 15px 0;

        .button {
          text-transform: uppercase;
          font-weight: 700;
          font-size: 14px;
          padding: 0 10px;
          height: 40px;
          line-height: 40px;
        }
      }
    }
  }
}